ข้ามไปยังเนื้อหา

Post Processing Chromatic Aberration

ผสานการทำงาน

ID โมเดล post-processing/chromatic-aberration
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/post-processing/chromatic-aberration?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.001 1 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Utility แก้ไขภาพ #stylized#transform

เลื่อนแชนเนลสีแดง เขียว และน้ำเงินแยกจากกันในแนวนอนหรือแนวตั้ง เพื่อสร้างลักษณะความคลาดสี

Utility · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น image_url
วางไฟล์ หรือ

URL รูปภาพสำหรับประมวลผล

ขั้นสูง red_direction · green_direction · blue_direction · red_shift · green_shift · blue_shift
red_direction ค่าเริ่มต้น horizontal

ทิศทางการเลื่อนของช่องสีแดง

green_direction ค่าเริ่มต้น horizontal

ทิศทางการเลื่อนของช่องสีเขียว

blue_direction ค่าเริ่มต้น horizontal

ทิศทางการเลื่อนของช่องสีน้ำเงิน

ค่าเริ่มต้น 0

ปริมาณการเลื่อนของช่องสีแดง

ค่าเริ่มต้น 0

ปริมาณการเลื่อนของช่องสีเขียว

ค่าเริ่มต้น 0

ปริมาณการเลื่อนของช่องสีน้ำเงิน

POST /run/post-processing/chromatic-aberration?wait=20 ใบเสนอราคา → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/post-processing/chromatic-aberration?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Post Processing Chromatic Aberration

รับ `image_url` และเลื่อนแชนเนลสีแต่ละแชนเนลแยกกัน `red_shift`, `green_shift` และ `blue_shift` รับจำนวนเต็มตั้งแต่ -20 ถึง 20 และแต่ละแชนเนลกำหนดทิศทางเป็น horizontal หรือ vertical ได้ ค่าเริ่มต้นของการเลื่อนทั้งหมดคือ 0 ดังนั้นจะมีการเลื่อนเฉพาะแชนเนลที่คุณตั้งค่า

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
image_urlจำเป็น image
ประเภทurl · image
URL รูปภาพสำหรับประมวลผล
red_shiftไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น0
-20 – 20
ปริมาณการเลื่อนของช่องสีแดง
red_directionไม่บังคับ
ประเภทenum
ค่าเริ่มต้นhorizontal
horizontalvertical
ทิศทางการเลื่อนของช่องสีแดง
green_shiftไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น0
-20 – 20
ปริมาณการเลื่อนของช่องสีเขียว
green_directionไม่บังคับ
ประเภทenum
ค่าเริ่มต้นhorizontal
horizontalvertical
ทิศทางการเลื่อนของช่องสีเขียว
blue_shiftไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น0
-20 – 20
ปริมาณการเลื่อนของช่องสีน้ำเงิน
blue_directionไม่บังคับ
ประเภทenum
ค่าเริ่มต้นhorizontal
horizontalvertical
ทิศทางการเลื่อนของช่องสีน้ำเงิน
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "post-processing/chromatic-aberration",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size, width, height}รูปภาพหลังใช้ความคลาดเคลื่อนสี

โมเดลเพิ่มเติม: แก้ไขภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/post-processing/chromatic-aberration.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt